%global githash 67c5e29cebc2167701589b0e308c6467940c9307
Name:          jsonld-java-rdf2go
Version:       0.8.0
Release:       1%{?dist}
Summary:       JSONLD-Java RDF2Go Integration module
License:       BSD
URL:           https://github.com/jsonld-java/jsonld-java-rdf2go
Source0:       https://github.com/jsonld-java/jsonld-java-rdf2go/archive/%{githash}/%{name}-%{githash}.tar.gz

BuildRequires: maven-local
BuildRequires: mvn(com.github.jsonld-java:jsonld-java)
BuildRequires: mvn(com.github.jsonld-java:jsonld-java-parent:pom:)
BuildRequires: mvn(junit:junit)
BuildRequires: mvn(org.semweb4j:rdf2go.api)
BuildRequires: mvn(org.semweb4j:rdf2go.impl.sesame)
BuildRequires: mvn(org.slf4j:slf4j-log4j12)

BuildArch:     noarch

%description
JSON-LD Java integration module for RDF2Go (Semweb4j).

RDF2Go is an abstraction over triple (and quad) stores. It
allows developers to program against RDF2Go interfaces and
choose or change the implementation later easily. 

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n %{name}-%{githash}

%pom_remove_plugin :animal-sniffer-maven-plugin
%pom_remove_plugin :jacoco-maven-plugin

%mvn_file :%{name} %{name}

%build

%mvn_build

%install
%mvn_install

%files -f .mfiles
%doc README.md
%license LICENCE

%files javadoc -f .mfiles-javadoc
%license LICENCE

%changelog
* Wed Feb 10 2016 gil cattaneo <puntogil@libero.it> 0.8.0-1
- update to 0.8.0

* Thu Dec 24 2015 gil cattaneo <puntogil@libero.it> 0.7.0-1
- initial rpm
